/*
 * System Interface Library for games
 * Copyright (c) 2007-2014 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/sysdep/macosx/dialog.m: Routine for displaying a dialog box on Mac OS X.
 */

#import "src/base.h"
#import "src/sysdep/macosx/dialog.h"
#import "src/sysdep/macosx/internal.h"

#import <AppKit/NSAlert.h>
#import <Foundation/NSAutoreleasePool.h>
#import <Foundation/NSString.h>

/*************************************************************************/
/*************************************************************************/

void osx_dialog(const char *title, const char *text)
{
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
    NSString *nstitle = [NSString stringWithUTF8String:title];
    NSString *nstext = [NSString stringWithUTF8String:text];
    NSAlert *alert = [[NSAlert alloc] init];
    [alert setMessageText:nstitle];
    [alert setInformativeText:nstext];
    [alert addButtonWithTitle:@"OK"];
    [alert runModal];
    [alert release];
    [nstext release];
    [nstitle release];
    [pool release];
}

/*************************************************************************/
/*************************************************************************/

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
